javax.xml.stream.events

## Interface Namespace

All Superinterfaces:
  Attribute, XMLEvent, XMLStreamConstants

    public interface Namespace
    extends Attribute

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getPrefix()`
`boolean` `isDefaultNamespaceDeclaration()`

### Methods inherited from interface javax.xml.stream.events.Attribute

`getDTDType, getName, getValue, isSpecified`

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

### Method Detail

#### getNamespaceURI

    java.lang.String getNamespaceURI()

#### getPrefix

    java.lang.String getPrefix()

#### isDefaultNamespaceDeclaration

    boolean isDefaultNamespaceDeclaration()